Bug 167320 - Fresh Install Kernel crashes looking for filesystem
Fresh Install Kernel crashes looking for filesystem
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 11:46 EDT by Pete Lancashire
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 17:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Lancashire 2005-09-01 11:46:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
May not be kernel but need somewhere to start.

Installed FC4 on two Gateway GP7-500 PC's, both previously had Mandrake 10 running on them.

Install goes just fine. Created 3 partitions swap, /boot as ext2 and / as ext3

Upon boot, grub is read ok, and the kernel is uncompressed ok
Uncompressing Linux ... Ok, Booting the kernel.

the mkrootdev: label / not found
mount: error 2 mounting ext3
ERROR opening /dev/console!!!: 2
...
...
Kernel Panic - not syncing: Attempting to kill init:

and hangs at this point

changing boot dev from label to boot=/dev/hda3 even causes more error
such as cant find /dev/zero

Using the rescue disk, I can moutn /dev/hda0 (/boot) just fine. Mounting
/dev/hda3 gives mount: Mounting /dev/hda3 on /tmp/foo failed: Invalid argument
fdisk for hda shows for the partitions
Device    Boot  start   End    Id System
/dev/hda1 *     1       25     83 Linux
/dev/hda2      26      152     82 Linux swap / Solaris
/dev/hda3     153     1027     83 Linux


Version-Release number of selected component (if applicable):
2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. install FC4 from CD's
2. reboot system
  

Actual Results:  Uncompressing Linux.. Ok, booting the kernel.
ACPI: BIOS age (1999) fails cutoff (2001), acpi=force is required to enable ACPI
Red Hat nash version 4.2.5 starting
mkrootdev: label / not found
mount: error 2 mounting ext3
ERROR opening /dev/console!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing df of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing: Attempting to kill init

Expected Results:  system to boot clean

Additional info:

both boxes ran just fine with Mantdrake 10.

changed the bios on one to not use DMA for the disks, reducded i/o to the
slowest/oldest selectable.
Comment 1 Dave Jones 2005-09-30 02:13:59 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.